## com.google.appengine.api.search
Class ListIndexesException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.appengine.api.search.SearchBaseException
                      com.google.appengine.api.search.ListIndexesException

All Implemented Interfaces:
  java.io.Serializable

    public class ListIndexesException

extends SearchBaseException

Thrown to indicate that a search service failure occurred while listing indexes.

See Also:
  Serialized Form

Constructor Summary
`ListIndexesException(OperationResult operationResult)` Constructs an exception when some error occurred in the search service when listing indexes.

Method Summary

Methods inherited from class com.google.appengine.api.search.SearchBaseException
`getOperationResult`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListIndexesException

    public ListIndexesException(OperationResult operationResult)

  Constructs an exception when some error occurred in the search service when listing indexes.

  Parameters:
    `operationResult` - the error code and message detail associated with the failure